> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1mailtestsmtpconnection



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.email//swagger/v1/swagger.json post /api/v1/mail/testSmtpConnection
openapi: 3.0.0
info:
  title: nds.services.email
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.email/
security: []
paths:
  /api/v1/mail/testSmtpConnection:
    post:
      tags:
        - Mailing
      operationId: Mailing_TestSmtpConnection
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestSmtpConnectionRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestSmtpConnectionResult'
components:
  schemas:
    TestSmtpConnectionRequest:
      type: object
      additionalProperties: false
      properties:
        Server:
          type: string
          nullable: true
        DisableSsl:
          type: boolean
        Port:
          type: integer
          nullable: true
        UserName:
          type: string
          nullable: true
        Password:
          type: string
          nullable: true
        OAuthProviderId:
          type: string
          nullable: true
    TestSmtpConnectionResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````